import "https://unpkg.com/ionicons@5.5.2/dist/ionicons/ionicons.esm.js";
/**
 * @license
 * Copyright 2019 Google LLC
 * SPDX-License-Identifier: BSD-3-Clause
 */
const G = window, Pe = G.ShadowRoot && (G.ShadyCSS === void 0 || G.ShadyCSS.nativeShadow) && "adoptedStyleSheets" in Document.prototype && "replace" in CSSStyleSheet.prototype, Ee = Symbol(), De = /* @__PURE__ */ new WeakMap();
class jt {
  constructor(e, t, n) {
    if (this._$cssResult$ = !0, n !== Ee)
      throw Error("CSSResult is not constructable. Use `unsafeCSS` or `css` instead.");
    this.cssText = e, this.t = t;
  }
  get styleSheet() {
    let e = this.o;
    const t = this.t;
    if (Pe && e === void 0) {
      const n = t !== void 0 && t.length === 1;
      n && (e = De.get(t)), e === void 0 && ((this.o = e = new CSSStyleSheet()).replaceSync(this.cssText), n && De.set(t, e));
    }
    return e;
  }
  toString() {
    return this.cssText;
  }
}
const ir = (r) => new jt(typeof r == "string" ? r : r + "", void 0, Ee), or = (r, ...e) => {
  const t = r.length === 1 ? r[0] : e.reduce((n, i, o) => n + ((a) => {
    if (a._$cssResult$ === !0)
      return a.cssText;
    if (typeof a == "number")
      return a;
    throw Error("Value passed to 'css' function must be a 'css' function result: " + a + ". Use 'unsafeCSS' to pass non-literal values, but take care to ensure page security.");
  })(i) + r[o + 1], r[0]);
  return new jt(t, r, Ee);
}, ar = (r, e) => {
  Pe ? r.adoptedStyleSheets = e.map((t) => t instanceof CSSStyleSheet ? t : t.styleSheet) : e.forEach((t) => {
    const n = document.createElement("style"), i = G.litNonce;
    i !== void 0 && n.setAttribute("nonce", i), n.textContent = t.cssText, r.appendChild(n);
  });
}, Ue = Pe ? (r) => r : (r) => r instanceof CSSStyleSheet ? ((e) => {
  let t = "";
  for (const n of e.cssRules)
    t += n.cssText;
  return ir(t);
})(r) : r;
/**
 * @license
 * Copyright 2017 Google LLC
 * SPDX-License-Identifier: BSD-3-Clause
 */
var ie;
const Q = window, Me = Q.trustedTypes, sr = Me ? Me.emptyScript : "", Le = Q.reactiveElementPolyfillSupport, he = { toAttribute(r, e) {
  switch (e) {
    case Boolean:
      r = r ? sr : null;
      break;
    case Object:
    case Array:
      r = r == null ? r : JSON.stringify(r);
  }
  return r;
}, fromAttribute(r, e) {
  let t = r;
  switch (e) {
    case Boolean:
      t = r !== null;
      break;
    case Number:
      t = r === null ? null : Number(r);
      break;
    case Object:
    case Array:
      try {
        t = JSON.parse(r);
      } catch {
        t = null;
      }
  }
  return t;
} }, Te = (r, e) => e !== r && (e == e || r == r), oe = { attribute: !0, type: String, converter: he, reflect: !1, hasChanged: Te };
class C extends HTMLElement {
  constructor() {
    super(), this._$Ei = /* @__PURE__ */ new Map(), this.isUpdatePending = !1, this.hasUpdated = !1, this._$El = null, this.u();
  }
  static addInitializer(e) {
    var t;
    (t = this.h) !== null && t !== void 0 || (this.h = []), this.h.push(e);
  }
  static get observedAttributes() {
    this.finalize();
    const e = [];
    return this.elementProperties.forEach((t, n) => {
      const i = this._$Ep(n, t);
      i !== void 0 && (this._$Ev.set(i, n), e.push(i));
    }), e;
  }
  static createProperty(e, t = oe) {
    if (t.state && (t.attribute = !1), this.finalize(), this.elementProperties.set(e, t), !t.noAccessor && !this.prototype.hasOwnProperty(e)) {
      const n = typeof e == "symbol" ? Symbol() : "__" + e, i = this.getPropertyDescriptor(e, n, t);
      i !== void 0 && Object.defineProperty(this.prototype, e, i);
    }
  }
  static getPropertyDescriptor(e, t, n) {
    return { get() {
      return this[t];
    }, set(i) {
      const o = this[e];
      this[t] = i, this.requestUpdate(e, o, n);
    }, configurable: !0, enumerable: !0 };
  }
  static getPropertyOptions(e) {
    return this.elementProperties.get(e) || oe;
  }
  static finalize() {
    if (this.hasOwnProperty("finalized"))
      return !1;
    this.finalized = !0;
    const e = Object.getPrototypeOf(this);
    if (e.finalize(), this.elementProperties = new Map(e.elementProperties), this._$Ev = /* @__PURE__ */ new Map(), this.hasOwnProperty("properties")) {
      const t = this.properties, n = [...Object.getOwnPropertyNames(t), ...Object.getOwnPropertySymbols(t)];
      for (const i of n)
        this.createProperty(i, t[i]);
    }
    return this.elementStyles = this.finalizeStyles(this.styles), !0;
  }
  static finalizeStyles(e) {
    const t = [];
    if (Array.isArray(e)) {
      const n = new Set(e.flat(1 / 0).reverse());
      for (const i of n)
        t.unshift(Ue(i));
    } else
      e !== void 0 && t.push(Ue(e));
    return t;
  }
  static _$Ep(e, t) {
    const n = t.attribute;
    return n === !1 ? void 0 : typeof n == "string" ? n : typeof e == "string" ? e.toLowerCase() : void 0;
  }
  u() {
    var e;
    this._$E_ = new Promise((t) => this.enableUpdating = t), this._$AL = /* @__PURE__ */ new Map(), this._$Eg(), this.requestUpdate(), (e = this.constructor.h) === null || e === void 0 || e.forEach((t) => t(this));
  }
  addController(e) {
    var t, n;
    ((t = this._$ES) !== null && t !== void 0 ? t : this._$ES = []).push(e), this.renderRoot !== void 0 && this.isConnected && ((n = e.hostConnected) === null || n === void 0 || n.call(e));
  }
  removeController(e) {
    var t;
    (t = this._$ES) === null || t === void 0 || t.splice(this._$ES.indexOf(e) >>> 0, 1);
  }
  _$Eg() {
    this.constructor.elementProperties.forEach((e, t) => {
      this.hasOwnProperty(t) && (this._$Ei.set(t, this[t]), delete this[t]);
    });
  }
  createRenderRoot() {
    var e;
    const t = (e = this.shadowRoot) !== null && e !== void 0 ? e : this.attachShadow(this.constructor.shadowRootOptions);
    return ar(t, this.constructor.elementStyles), t;
  }
  connectedCallback() {
    var e;
    this.renderRoot === void 0 && (this.renderRoot = this.createRenderRoot()), this.enableUpdating(!0), (e = this._$ES) === null || e === void 0 || e.forEach((t) => {
      var n;
      return (n = t.hostConnected) === null || n === void 0 ? void 0 : n.call(t);
    });
  }
  enableUpdating(e) {
  }
  disconnectedCallback() {
    var e;
    (e = this._$ES) === null || e === void 0 || e.forEach((t) => {
      var n;
      return (n = t.hostDisconnected) === null || n === void 0 ? void 0 : n.call(t);
    });
  }
  attributeChangedCallback(e, t, n) {
    this._$AK(e, n);
  }
  _$EO(e, t, n = oe) {
    var i;
    const o = this.constructor._$Ep(e, n);
    if (o !== void 0 && n.reflect === !0) {
      const a = (((i = n.converter) === null || i === void 0 ? void 0 : i.toAttribute) !== void 0 ? n.converter : he).toAttribute(t, n.type);
      this._$El = e, a == null ? this.removeAttribute(o) : this.setAttribute(o, a), this._$El = null;
    }
  }
  _$AK(e, t) {
    var n;
    const i = this.constructor, o = i._$Ev.get(e);
    if (o !== void 0 && this._$El !== o) {
      const a = i.getPropertyOptions(o), u = typeof a.converter == "function" ? { fromAttribute: a.converter } : ((n = a.converter) === null || n === void 0 ? void 0 : n.fromAttribute) !== void 0 ? a.converter : he;
      this._$El = o, this[o] = u.fromAttribute(t, a.type), this._$El = null;
    }
  }
  requestUpdate(e, t, n) {
    let i = !0;
    e !== void 0 && (((n = n || this.constructor.getPropertyOptions(e)).hasChanged || Te)(this[e], t) ? (this._$AL.has(e) || this._$AL.set(e, t), n.reflect === !0 && this._$El !== e && (this._$EC === void 0 && (this._$EC = /* @__PURE__ */ new Map()), this._$EC.set(e, n))) : i = !1), !this.isUpdatePending && i && (this._$E_ = this._$Ej());
  }
  async _$Ej() {
    this.isUpdatePending = !0;
    try {
      await this._$E_;
    } catch (t) {
      Promise.reject(t);
    }
    const e = this.scheduleUpdate();
    return e != null && await e, !this.isUpdatePending;
  }
  scheduleUpdate() {
    return this.performUpdate();
  }
  performUpdate() {
    var e;
    if (!this.isUpdatePending)
      return;
    this.hasUpdated, this._$Ei && (this._$Ei.forEach((i, o) => this[o] = i), this._$Ei = void 0);
    let t = !1;
    const n = this._$AL;
    try {
      t = this.shouldUpdate(n), t ? (this.willUpdate(n), (e = this._$ES) === null || e === void 0 || e.forEach((i) => {
        var o;
        return (o = i.hostUpdate) === null || o === void 0 ? void 0 : o.call(i);
      }), this.update(n)) : this._$Ek();
    } catch (i) {
      throw t = !1, this._$Ek(), i;
    }
    t && this._$AE(n);
  }
  willUpdate(e) {
  }
  _$AE(e) {
    var t;
    (t = this._$ES) === null || t === void 0 || t.forEach((n) => {
      var i;
      return (i = n.hostUpdated) === null || i === void 0 ? void 0 : i.call(n);
    }), this.hasUpdated || (this.hasUpdated = !0, this.firstUpdated(e)), this.updated(e);
  }
  _$Ek() {
    this._$AL = /* @__PURE__ */ new Map(), this.isUpdatePending = !1;
  }
  get updateComplete() {
    return this.getUpdateComplete();
  }
  getUpdateComplete() {
    return this._$E_;
  }
  shouldUpdate(e) {
    return !0;
  }
  update(e) {
    this._$EC !== void 0 && (this._$EC.forEach((t, n) => this._$EO(n, this[n], t)), this._$EC = void 0), this._$Ek();
  }
  updated(e) {
  }
  firstUpdated(e) {
  }
}
C.finalized = !0, C.elementProperties = /* @__PURE__ */ new Map(), C.elementStyles = [], C.shadowRootOptions = { mode: "open" }, Le == null || Le({ ReactiveElement: C }), ((ie = Q.reactiveElementVersions) !== null && ie !== void 0 ? ie : Q.reactiveElementVersions = []).push("1.4.1");
/**
 * @license
 * Copyright 2017 Google LLC
 * SPDX-License-Identifier: BSD-3-Clause
 */
var ae;
const X = window, M = X.trustedTypes, Ie = M ? M.createPolicy("lit-html", { createHTML: (r) => r }) : void 0, O = `lit$${(Math.random() + "").slice(9)}$`, xe = "?" + O, ur = `<${xe}>`, L = document, q = (r = "") => L.createComment(r), V = (r) => r === null || typeof r != "object" && typeof r != "function", Ct = Array.isArray, Rt = (r) => Ct(r) || typeof (r == null ? void 0 : r[Symbol.iterator]) == "function", z = /<(?:(!--|\/[^a-zA-Z])|(\/?[a-zA-Z][^>\s]*)|(\/?$))/g, Fe = /-->/g, ze = />/g, S = RegExp(`>|[ 	
\f\r](?:([^\\s"'>=/]+)([ 	
\f\r]*=[ 	
\f\r]*(?:[^ 	
\f\r"'\`<>=]|("|')|))|$)`, "g"), He = /'/g, Be = /"/g, Dt = /^(?:script|style|textarea|title)$/i, lr = (r) => (e, ...t) => ({ _$litType$: r, strings: e, values: t }), j = lr(1), T = Symbol.for("lit-noChange"), v = Symbol.for("lit-nothing"), qe = /* @__PURE__ */ new WeakMap(), D = L.createTreeWalker(L, 129, null, !1), Ut = (r, e) => {
  const t = r.length - 1, n = [];
  let i, o = e === 2 ? "<svg>" : "", a = z;
  for (let l = 0; l < t; l++) {
    const c = r[l];
    let p, h, f = -1, d = 0;
    for (; d < c.length && (a.lastIndex = d, h = a.exec(c), h !== null); )
      d = a.lastIndex, a === z ? h[1] === "!--" ? a = Fe : h[1] !== void 0 ? a = ze : h[2] !== void 0 ? (Dt.test(h[2]) && (i = RegExp("</" + h[2], "g")), a = S) : h[3] !== void 0 && (a = S) : a === S ? h[0] === ">" ? (a = i != null ? i : z, f = -1) : h[1] === void 0 ? f = -2 : (f = a.lastIndex - h[2].length, p = h[1], a = h[3] === void 0 ? S : h[3] === '"' ? Be : He) : a === Be || a === He ? a = S : a === Fe || a === ze ? a = z : (a = S, i = void 0);
    const m = a === S && r[l + 1].startsWith("/>") ? " " : "";
    o += a === z ? c + ur : f >= 0 ? (n.push(p), c.slice(0, f) + "$lit$" + c.slice(f) + O + m) : c + O + (f === -2 ? (n.push(void 0), l) : m);
  }
  const u = o + (r[t] || "<?>") + (e === 2 ? "</svg>" : "");
  if (!Array.isArray(r) || !r.hasOwnProperty("raw"))
    throw Error("invalid template strings array");
  return [Ie !== void 0 ? Ie.createHTML(u) : u, n];
};
class K {
  constructor({ strings: e, _$litType$: t }, n) {
    let i;
    this.parts = [];
    let o = 0, a = 0;
    const u = e.length - 1, l = this.parts, [c, p] = Ut(e, t);
    if (this.el = K.createElement(c, n), D.currentNode = this.el.content, t === 2) {
      const h = this.el.content, f = h.firstChild;
      f.remove(), h.append(...f.childNodes);
    }
    for (; (i = D.nextNode()) !== null && l.length < u; ) {
      if (i.nodeType === 1) {
        if (i.hasAttributes()) {
          const h = [];
          for (const f of i.getAttributeNames())
            if (f.endsWith("$lit$") || f.startsWith(O)) {
              const d = p[a++];
              if (h.push(f), d !== void 0) {
                const m = i.getAttribute(d.toLowerCase() + "$lit$").split(O), y = /([.?@])?(.*)/.exec(d);
                l.push({ type: 1, index: o, name: y[2], strings: m, ctor: y[1] === "." ? Lt : y[1] === "?" ? It : y[1] === "@" ? Ft : J });
              } else
                l.push({ type: 6, index: o });
            }
          for (const f of h)
            i.removeAttribute(f);
        }
        if (Dt.test(i.tagName)) {
          const h = i.textContent.split(O), f = h.length - 1;
          if (f > 0) {
            i.textContent = M ? M.emptyScript : "";
            for (let d = 0; d < f; d++)
              i.append(h[d], q()), D.nextNode(), l.push({ type: 2, index: ++o });
            i.append(h[f], q());
          }
        }
      } else if (i.nodeType === 8)
        if (i.data === xe)
          l.push({ type: 2, index: o });
        else {
          let h = -1;
          for (; (h = i.data.indexOf(O, h + 1)) !== -1; )
            l.push({ type: 7, index: o }), h += O.length - 1;
        }
      o++;
    }
  }
  static createElement(e, t) {
    const n = L.createElement("template");
    return n.innerHTML = e, n;
  }
}
function x(r, e, t = r, n) {
  var i, o, a, u;
  if (e === T)
    return e;
  let l = n !== void 0 ? (i = t._$Co) === null || i === void 0 ? void 0 : i[n] : t._$Cl;
  const c = V(e) ? void 0 : e._$litDirective$;
  return (l == null ? void 0 : l.constructor) !== c && ((o = l == null ? void 0 : l._$AO) === null || o === void 0 || o.call(l, !1), c === void 0 ? l = void 0 : (l = new c(r), l._$AT(r, t, n)), n !== void 0 ? ((a = (u = t)._$Co) !== null && a !== void 0 ? a : u._$Co = [])[n] = l : t._$Cl = l), l !== void 0 && (e = x(r, l._$AS(r, e.values), l, n)), e;
}
class Mt {
  constructor(e, t) {
    this.u = [], this._$AN = void 0, this._$AD = e, this._$AM = t;
  }
  get parentNode() {
    return this._$AM.parentNode;
  }
  get _$AU() {
    return this._$AM._$AU;
  }
  v(e) {
    var t;
    const { el: { content: n }, parts: i } = this._$AD, o = ((t = e == null ? void 0 : e.creationScope) !== null && t !== void 0 ? t : L).importNode(n, !0);
    D.currentNode = o;
    let a = D.nextNode(), u = 0, l = 0, c = i[0];
    for (; c !== void 0; ) {
      if (u === c.index) {
        let p;
        c.type === 2 ? p = new F(a, a.nextSibling, this, e) : c.type === 1 ? p = new c.ctor(a, c.name, c.strings, this, e) : c.type === 6 && (p = new zt(a, this, e)), this.u.push(p), c = i[++l];
      }
      u !== (c == null ? void 0 : c.index) && (a = D.nextNode(), u++);
    }
    return o;
  }
  p(e) {
    let t = 0;
    for (const n of this.u)
      n !== void 0 && (n.strings !== void 0 ? (n._$AI(e, n, t), t += n.strings.length - 2) : n._$AI(e[t])), t++;
  }
}
class F {
  constructor(e, t, n, i) {
    var o;
    this.type = 2, this._$AH = v, this._$AN = void 0, this._$AA = e, this._$AB = t, this._$AM = n, this.options = i, this._$Cm = (o = i == null ? void 0 : i.isConnected) === null || o === void 0 || o;
  }
  get _$AU() {
    var e, t;
    return (t = (e = this._$AM) === null || e === void 0 ? void 0 : e._$AU) !== null && t !== void 0 ? t : this._$Cm;
  }
  get parentNode() {
    let e = this._$AA.parentNode;
    const t = this._$AM;
    return t !== void 0 && e.nodeType === 11 && (e = t.parentNode), e;
  }
  get startNode() {
    return this._$AA;
  }
  get endNode() {
    return this._$AB;
  }
  _$AI(e, t = this) {
    e = x(this, e, t), V(e) ? e === v || e == null || e === "" ? (this._$AH !== v && this._$AR(), this._$AH = v) : e !== this._$AH && e !== T && this.g(e) : e._$litType$ !== void 0 ? this.$(e) : e.nodeType !== void 0 ? this.T(e) : Rt(e) ? this.k(e) : this.g(e);
  }
  O(e, t = this._$AB) {
    return this._$AA.parentNode.insertBefore(e, t);
  }
  T(e) {
    this._$AH !== e && (this._$AR(), this._$AH = this.O(e));
  }
  g(e) {
    this._$AH !== v && V(this._$AH) ? this._$AA.nextSibling.data = e : this.T(L.createTextNode(e)), this._$AH = e;
  }
  $(e) {
    var t;
    const { values: n, _$litType$: i } = e, o = typeof i == "number" ? this._$AC(e) : (i.el === void 0 && (i.el = K.createElement(i.h, this.options)), i);
    if (((t = this._$AH) === null || t === void 0 ? void 0 : t._$AD) === o)
      this._$AH.p(n);
    else {
      const a = new Mt(o, this), u = a.v(this.options);
      a.p(n), this.T(u), this._$AH = a;
    }
  }
  _$AC(e) {
    let t = qe.get(e.strings);
    return t === void 0 && qe.set(e.strings, t = new K(e)), t;
  }
  k(e) {
    Ct(this._$AH) || (this._$AH = [], this._$AR());
    const t = this._$AH;
    let n, i = 0;
    for (const o of e)
      i === t.length ? t.push(n = new F(this.O(q()), this.O(q()), this, this.options)) : n = t[i], n._$AI(o), i++;
    i < t.length && (this._$AR(n && n._$AB.nextSibling, i), t.length = i);
  }
  _$AR(e = this._$AA.nextSibling, t) {
    var n;
    for ((n = this._$AP) === null || n === void 0 || n.call(this, !1, !0, t); e && e !== this._$AB; ) {
      const i = e.nextSibling;
      e.remove(), e = i;
    }
  }
  setConnected(e) {
    var t;
    this._$AM === void 0 && (this._$Cm = e, (t = this._$AP) === null || t === void 0 || t.call(this, e));
  }
}
class J {
  constructor(e, t, n, i, o) {
    this.type = 1, this._$AH = v, this._$AN = void 0, this.element = e, this.name = t, this._$AM = i, this.options = o, n.length > 2 || n[0] !== "" || n[1] !== "" ? (this._$AH = Array(n.length - 1).fill(new String()), this.strings = n) : this._$AH = v;
  }
  get tagName() {
    return this.element.tagName;
  }
  get _$AU() {
    return this._$AM._$AU;
  }
  _$AI(e, t = this, n, i) {
    const o = this.strings;
    let a = !1;
    if (o === void 0)
      e = x(this, e, t, 0), a = !V(e) || e !== this._$AH && e !== T, a && (this._$AH = e);
    else {
      const u = e;
      let l, c;
      for (e = o[0], l = 0; l < o.length - 1; l++)
        c = x(this, u[n + l], t, l), c === T && (c = this._$AH[l]), a || (a = !V(c) || c !== this._$AH[l]), c === v ? e = v : e !== v && (e += (c != null ? c : "") + o[l + 1]), this._$AH[l] = c;
    }
    a && !i && this.j(e);
  }
  j(e) {
    e === v ? this.element.removeAttribute(this.name) : this.element.setAttribute(this.name, e != null ? e : "");
  }
}
class Lt extends J {
  constructor() {
    super(...arguments), this.type = 3;
  }
  j(e) {
    this.element[this.name] = e === v ? void 0 : e;
  }
}
const cr = M ? M.emptyScript : "";
class It extends J {
  constructor() {
    super(...arguments), this.type = 4;
  }
  j(e) {
    e && e !== v ? this.element.setAttribute(this.name, cr) : this.element.removeAttribute(this.name);
  }
}
class Ft extends J {
  constructor(e, t, n, i, o) {
    super(e, t, n, i, o), this.type = 5;
  }
  _$AI(e, t = this) {
    var n;
    if ((e = (n = x(this, e, t, 0)) !== null && n !== void 0 ? n : v) === T)
      return;
    const i = this._$AH, o = e === v && i !== v || e.capture !== i.capture || e.once !== i.once || e.passive !== i.passive, a = e !== v && (i === v || o);
    o && this.element.removeEventListener(this.name, this, i), a && this.element.addEventListener(this.name, this, e), this._$AH = e;
  }
  handleEvent(e) {
    var t, n;
    typeof this._$AH == "function" ? this._$AH.call((n = (t = this.options) === null || t === void 0 ? void 0 : t.host) !== null && n !== void 0 ? n : this.element, e) : this._$AH.handleEvent(e);
  }
}
class zt {
  constructor(e, t, n) {
    this.element = e, this.type = 6, this._$AN = void 0, this._$AM = t, this.options = n;
  }
  get _$AU() {
    return this._$AM._$AU;
  }
  _$AI(e) {
    x(this, e);
  }
}
const fr = { P: "$lit$", A: O, M: xe, C: 1, L: Ut, R: Mt, D: Rt, V: x, I: F, H: J, N: It, U: Ft, B: Lt, F: zt }, Ve = X.litHtmlPolyfillSupport;
Ve == null || Ve(K, F), ((ae = X.litHtmlVersions) !== null && ae !== void 0 ? ae : X.litHtmlVersions = []).push("2.4.0");
const hr = (r, e, t) => {
  var n, i;
  const o = (n = t == null ? void 0 : t.renderBefore) !== null && n !== void 0 ? n : e;
  let a = o._$litPart$;
  if (a === void 0) {
    const u = (i = t == null ? void 0 : t.renderBefore) !== null && i !== void 0 ? i : null;
    o._$litPart$ = a = new F(e.insertBefore(q(), u), u, void 0, t != null ? t : {});
  }
  return a._$AI(r), a;
};
/**
 * @license
 * Copyright 2017 Google LLC
 * SPDX-License-Identifier: BSD-3-Clause
 */
var se, ue;
class B extends C {
  constructor() {
    super(...arguments), this.renderOptions = { host: this }, this._$Do = void 0;
  }
  createRenderRoot() {
    var e, t;
    const n = super.createRenderRoot();
    return (e = (t = this.renderOptions).renderBefore) !== null && e !== void 0 || (t.renderBefore = n.firstChild), n;
  }
  update(e) {
    const t = this.render();
    this.hasUpdated || (this.renderOptions.isConnected = this.isConnected), super.update(e), this._$Do = hr(t, this.renderRoot, this.renderOptions);
  }
  connectedCallback() {
    var e;
    super.connectedCallback(), (e = this._$Do) === null || e === void 0 || e.setConnected(!0);
  }
  disconnectedCallback() {
    var e;
    super.disconnectedCallback(), (e = this._$Do) === null || e === void 0 || e.setConnected(!1);
  }
  render() {
    return T;
  }
}
B.finalized = !0, B._$litElement$ = !0, (se = globalThis.litElementHydrateSupport) === null || se === void 0 || se.call(globalThis, { LitElement: B });
const Ke = globalThis.litElementPolyfillSupport;
Ke == null || Ke({ LitElement: B });
((ue = globalThis.litElementVersions) !== null && ue !== void 0 ? ue : globalThis.litElementVersions = []).push("3.2.2");
/**
 * @license
 * Copyright 2017 Google LLC
 * SPDX-License-Identifier: BSD-3-Clause
 */
const dr = (r) => (e) => typeof e == "function" ? ((t, n) => (customElements.define(t, n), n))(r, e) : ((t, n) => {
  const { kind: i, elements: o } = n;
  return { kind: i, elements: o, finisher(a) {
    customElements.define(t, a);
  } };
})(r, e);
/**
 * @license
 * Copyright 2017 Google LLC
 * SPDX-License-Identifier: BSD-3-Clause
 */
const pr = (r, e) => e.kind === "method" && e.descriptor && !("value" in e.descriptor) ? { ...e, finisher(t) {
  t.createProperty(e.key, r);
} } : { kind: "field", key: Symbol(), placement: "own", descriptor: {}, originalKey: e.key, initializer() {
  typeof e.initializer == "function" && (this[e.key] = e.initializer.call(this));
}, finisher(t) {
  t.createProperty(e.key, r);
} };
function ke(r) {
  return (e, t) => t !== void 0 ? ((n, i, o) => {
    i.constructor.createProperty(o, n);
  })(r, e, t) : pr(r, e);
}
/**
 * @license
 * Copyright 2021 Google LLC
 * SPDX-License-Identifier: BSD-3-Clause
 */
var le;
((le = window.HTMLSlotElement) === null || le === void 0 ? void 0 : le.prototype.assignedElements) != null;
/**
 * @license
 * Copyright 2017 Google LLC
 * SPDX-License-Identifier: BSD-3-Clause
 */
const mr = Symbol();
class Ye {
  constructor(e, t, n) {
    this.i = 0, this.status = 0, this.autoRun = !0, this.o = e, this.o.addController(this);
    const i = typeof t == "object" ? t : { task: t, args: n };
    this.t = i.task, this.h = i.args, this.l = i.onComplete, this.u = i.onError, i.autoRun !== void 0 && (this.autoRun = i.autoRun), this.taskComplete = new Promise((o, a) => {
      this.v = o, this._ = a;
    });
  }
  hostUpdated() {
    this.performTask();
  }
  async performTask() {
    var e;
    const t = (e = this.h) === null || e === void 0 ? void 0 : e.call(this);
    this.shouldRun(t) && this.run(t);
  }
  shouldRun(e) {
    return this.autoRun && this.m(e);
  }
  async run(e) {
    var t, n, i;
    let o, a;
    e != null || (e = (t = this.h) === null || t === void 0 ? void 0 : t.call(this)), this.status !== 2 && this.status !== 3 || (this.taskComplete = new Promise((l, c) => {
      this.v = l, this._ = c;
    })), this.status = 1, this.o.requestUpdate();
    const u = ++this.i;
    try {
      o = await this.t(e);
    } catch (l) {
      a = l;
    }
    if (this.i === u) {
      if (o === mr)
        this.status = 0;
      else {
        if (a === void 0) {
          try {
            (n = this.l) === null || n === void 0 || n.call(this, o);
          } catch {
          }
          this.status = 2, this.v(o);
        } else {
          try {
            (i = this.u) === null || i === void 0 || i.call(this, a);
          } catch {
          }
          this.status = 3, this._(a);
        }
        this.T = o, this.k = a;
      }
      this.o.requestUpdate();
    }
  }
  get value() {
    return this.T;
  }
  get error() {
    return this.k;
  }
  render(e) {
    var t, n, i, o;
    switch (this.status) {
      case 0:
        return (t = e.initial) === null || t === void 0 ? void 0 : t.call(e);
      case 1:
        return (n = e.pending) === null || n === void 0 ? void 0 : n.call(e);
      case 2:
        return (i = e.complete) === null || i === void 0 ? void 0 : i.call(e, this.value);
      case 3:
        return (o = e.error) === null || o === void 0 ? void 0 : o.call(e, this.error);
      default:
        this.status;
    }
  }
  m(e) {
    const t = this.p;
    return this.p = e, Array.isArray(e) && Array.isArray(t) ? e.length === t.length && e.some((n, i) => Te(n, t[i])) : e !== t;
  }
}
/**
 * @license
 * Copyright 2017 Google LLC
 * SPDX-License-Identifier: BSD-3-Clause
 */
const yr = { ATTRIBUTE: 1, CHILD: 2, PROPERTY: 3, BOOLEAN_ATTRIBUTE: 4, EVENT: 5, ELEMENT: 6 }, vr = (r) => (...e) => ({ _$litDirective$: r, values: e });
class gr {
  constructor(e) {
  }
  get _$AU() {
    return this._$AM._$AU;
  }
  _$AT(e, t, n) {
    this._$Ct = e, this._$AM = t, this._$Ci = n;
  }
  _$AS(e, t) {
    return this.update(e, t);
  }
  update(e, t) {
    return this.render(...t);
  }
}
/**
 * @license
 * Copyright 2020 Google LLC
 * SPDX-License-Identifier: BSD-3-Clause
 */
const { I: br } = fr, We = () => document.createComment(""), H = (r, e, t) => {
  var n;
  const i = r._$AA.parentNode, o = e === void 0 ? r._$AB : e._$AA;
  if (t === void 0) {
    const a = i.insertBefore(We(), o), u = i.insertBefore(We(), o);
    t = new br(a, u, r, r.options);
  } else {
    const a = t._$AB.nextSibling, u = t._$AM, l = u !== r;
    if (l) {
      let c;
      (n = t._$AQ) === null || n === void 0 || n.call(t, r), t._$AM = r, t._$AP !== void 0 && (c = r._$AU) !== u._$AU && t._$AP(c);
    }
    if (a !== o || l) {
      let c = t._$AA;
      for (; c !== a; ) {
        const p = c.nextSibling;
        i.insertBefore(c, o), c = p;
      }
    }
  }
  return t;
}, P = (r, e, t = r) => (r._$AI(e, t), r), wr = {}, $r = (r, e = wr) => r._$AH = e, Ar = (r) => r._$AH, ce = (r) => {
  var e;
  (e = r._$AP) === null || e === void 0 || e.call(r, !1, !0);
  let t = r._$AA;
  const n = r._$AB.nextSibling;
  for (; t !== n; ) {
    const i = t.nextSibling;
    t.remove(), t = i;
  }
};
/**
 * @license
 * Copyright 2017 Google LLC
 * SPDX-License-Identifier: BSD-3-Clause
 */
const Je = (r, e, t) => {
  const n = /* @__PURE__ */ new Map();
  for (let i = e; i <= t; i++)
    n.set(r[i], i);
  return n;
}, Ze = vr(class extends gr {
  constructor(r) {
    if (super(r), r.type !== yr.CHILD)
      throw Error("repeat() can only be used in text expressions");
  }
  ht(r, e, t) {
    let n;
    t === void 0 ? t = e : e !== void 0 && (n = e);
    const i = [], o = [];
    let a = 0;
    for (const u of r)
      i[a] = n ? n(u, a) : a, o[a] = t(u, a), a++;
    return { values: o, keys: i };
  }
  render(r, e, t) {
    return this.ht(r, e, t).values;
  }
  update(r, [e, t, n]) {
    var i;
    const o = Ar(r), { values: a, keys: u } = this.ht(e, t, n);
    if (!Array.isArray(o))
      return this.ut = u, a;
    const l = (i = this.ut) !== null && i !== void 0 ? i : this.ut = [], c = [];
    let p, h, f = 0, d = o.length - 1, m = 0, y = a.length - 1;
    for (; f <= d && m <= y; )
      if (o[f] === null)
        f++;
      else if (o[d] === null)
        d--;
      else if (l[f] === u[m])
        c[m] = P(o[f], a[m]), f++, m++;
      else if (l[d] === u[y])
        c[y] = P(o[d], a[y]), d--, y--;
      else if (l[f] === u[y])
        c[y] = P(o[f], a[y]), H(r, c[y + 1], o[f]), f++, y--;
      else if (l[d] === u[m])
        c[m] = P(o[d], a[m]), H(r, o[f], o[d]), d--, m++;
      else if (p === void 0 && (p = Je(u, m, y), h = Je(l, f, d)), p.has(l[f]))
        if (p.has(l[d])) {
          const g = h.get(u[m]), $ = g !== void 0 ? o[g] : null;
          if ($ === null) {
            const N = H(r, o[f]);
            P(N, a[m]), c[m] = N;
          } else
            c[m] = P($, a[m]), H(r, o[f], $), o[g] = null;
          m++;
        } else
          ce(o[d]), d--;
      else
        ce(o[f]), f++;
    for (; m <= y; ) {
      const g = H(r, c[y + 1]);
      P(g, a[m]), c[m++] = g;
    }
    for (; f <= d; ) {
      const g = o[f++];
      g !== null && ce(g);
    }
    return this.ut = u, $r(r, c), T;
  }
});
var Ht = "en", Ne = {}, de = {};
function Bt() {
  return Ht;
}
function Or(r) {
  Ht = r;
}
function _r(r) {
  return Ne[r];
}
function Sr(r) {
  if (!r)
    throw new Error("No locale data passed");
  Ne[r.locale] = r, de[r.locale.toLowerCase()] = r.locale;
}
function Ge(r) {
  if (Ne[r])
    return r;
  if (de[r.toLowerCase()])
    return de[r.toLowerCase()];
}
function qt(r) {
  var e = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {}, t = e.localeMatcher || "lookup";
  switch (t) {
    case "lookup":
      return Qe(r);
    case "best fit":
      return Qe(r);
    default:
      throw new RangeError('Invalid "localeMatcher" option: '.concat(t));
  }
}
function Qe(r) {
  var e = Ge(r);
  if (e)
    return e;
  for (var t = r.split("-"); r.length > 1; ) {
    t.pop(), r = t.join("-");
    var n = Ge(r);
    if (n)
      return n;
  }
}
var s = {
  af: function(e) {
    return e == 1 ? "one" : "other";
  },
  am: function(e) {
    return e >= 0 && e <= 1 ? "one" : "other";
  },
  ar: function(e) {
    var t = String(e).split("."), n = Number(t[0]) == e, i = n && t[0].slice(-2);
    return e == 0 ? "zero" : e == 1 ? "one" : e == 2 ? "two" : i >= 3 && i <= 10 ? "few" : i >= 11 && i <= 99 ? "many" : "other";
  },
  ast: function(e) {
    var t = String(e).split("."), n = !t[1];
    return e == 1 && n ? "one" : "other";
  },
  be: function(e) {
    var t = String(e).split("."), n = Number(t[0]) == e, i = n && t[0].slice(-1), o = n && t[0].slice(-2);
    return i == 1 && o != 11 ? "one" : i >= 2 && i <= 4 && (o < 12 || o > 14) ? "few" : n && i == 0 || i >= 5 && i <= 9 || o >= 11 && o <= 14 ? "many" : "other";
  },
  br: function(e) {
    var t = String(e).split("."), n = Number(t[0]) == e, i = n && t[0].slice(-1), o = n && t[0].slice(-2), a = n && t[0].slice(-6);
    return i == 1 && o != 11 && o != 71 && o != 91 ? "one" : i == 2 && o != 12 && o != 72 && o != 92 ? "two" : (i == 3 || i == 4 || i == 9) && (o < 10 || o > 19) && (o < 70 || o > 79) && (o < 90 || o > 99) ? "few" : e != 0 && n && a == 0 ? "many" : "other";
  },
  bs: function(e) {
    var t = String(e).split("."), n = t[0], i = t[1] || "", o = !t[1], a = n.slice(-1), u = n.slice(-2), l = i.slice(-1), c = i.slice(-2);
    return o && a == 1 && u != 11 || l == 1 && c != 11 ? "one" : o && a >= 2 && a <= 4 && (u < 12 || u > 14) || l >= 2 && l <= 4 && (c < 12 || c > 14) ? "few" : "other";
  },
  ca: function(e) {
    var t = String(e).split("."), n = t[0], i = !t[1], o = n.slice(-6);
    return e == 1 && i ? "one" : n != 0 && o == 0 && i ? "many" : "other";
  },
  ceb: function(e) {
    var t = String(e).split("."), n = t[0], i = t[1] || "", o = !t[1], a = n.slice(-1), u = i.slice(-1);
    return o && (n == 1 || n == 2 || n == 3) || o && a != 4 && a != 6 && a != 9 || !o && u != 4 && u != 6 && u != 9 ? "one" : "other";
  },
  cs: function(e) {
    var t = String(e).split("."), n = t[0], i = !t[1];
    return e == 1 && i ? "one" : n >= 2 && n <= 4 && i ? "few" : i ? "other" : "many";
  },
  cy: function(e) {
    return e == 0 ? "zero" : e == 1 ? "one" : e == 2 ? "two" : e == 3 ? "few" : e == 6 ? "many" : "other";
  },
  da: function(e) {
    var t = String(e).split("."), n = t[0], i = Number(t[0]) == e;
    return e == 1 || !i && (n == 0 || n == 1) ? "one" : "other";
  },
  dsb: function(e) {
    var t = String(e).split("."), n = t[0], i = t[1] || "", o = !t[1], a = n.slice(-2), u = i.slice(-2);
    return o && a == 1 || u == 1 ? "one" : o && a == 2 || u == 2 ? "two" : o && (a == 3 || a == 4) || u == 3 || u == 4 ? "few" : "other";
  },
  dz: function(e) {
    return "other";
  },
  es: function(e) {
    var t = String(e).split("."), n = t[0], i = !t[1], o = n.slice(-6);
    return e == 1 ? "one" : n != 0 && o == 0 && i ? "many" : "other";
  },
  ff: function(e) {
    return e >= 0 && e < 2 ? "one" : "other";
  },
  fr: function(e) {
    var t = String(e).split("."), n = t[0], i = !t[1], o = n.slice(-6);
    return e >= 0 && e < 2 ? "one" : n != 0 && o == 0 && i ? "many" : "other";
  },
  ga: function(e) {
    var t = String(e).split("."), n = Number(t[0]) == e;
    return e == 1 ? "one" : e == 2 ? "two" : n && e >= 3 && e <= 6 ? "few" : n && e >= 7 && e <= 10 ? "many" : "other";
  },
  gd: function(e) {
    var t = String(e).split("."), n = Number(t[0]) == e;
    return e == 1 || e == 11 ? "one" : e == 2 || e == 12 ? "two" : n && e >= 3 && e <= 10 || n && e >= 13 && e <= 19 ? "few" : "other";
  },
  he: function(e) {
    var t = String(e).split("."), n = t[0], i = !t[1];
    return n == 1 && i || n == 0 && !i ? "one" : n == 2 && i ? "two" : "other";
  },
  is: function(e) {
    var t = String(e).split("."), n = t[0], i = (t[1] || "").replace(/0+$/, ""), o = Number(t[0]) == e, a = n.slice(-1), u = n.slice(-2);
    return o && a == 1 && u != 11 || i % 10 == 1 && i % 100 != 11 ? "one" : "other";
  },
  ksh: function(e) {
    return e == 0 ? "zero" : e == 1 ? "one" : "other";
  },
  lt: function(e) {
    var t = String(e).split("."), n = t[1] || "", i = Number(t[0]) == e, o = i && t[0].slice(-1), a = i && t[0].slice(-2);
    return o == 1 && (a < 11 || a > 19) ? "one" : o >= 2 && o <= 9 && (a < 11 || a > 19) ? "few" : n != 0 ? "many" : "other";
  },
  lv: function(e) {
    var t = String(e).split("."), n = t[1] || "", i = n.length, o = Number(t[0]) == e, a = o && t[0].slice(-1), u = o && t[0].slice(-2), l = n.slice(-2), c = n.slice(-1);
    return o && a == 0 || u >= 11 && u <= 19 || i == 2 && l >= 11 && l <= 19 ? "zero" : a == 1 && u != 11 || i == 2 && c == 1 && l != 11 || i != 2 && c == 1 ? "one" : "other";
  },
  mk: function(e) {
    var t = String(e).split("."), n = t[0], i = t[1] || "", o = !t[1], a = n.slice(-1), u = n.slice(-2), l = i.slice(-1), c = i.slice(-2);
    return o && a == 1 && u != 11 || l == 1 && c != 11 ? "one" : "other";
  },
  mt: function(e) {
    var t = String(e).split("."), n = Number(t[0]) == e, i = n && t[0].slice(-2);
    return e == 1 ? "one" : e == 2 ? "two" : e == 0 || i >= 3 && i <= 10 ? "few" : i >= 11 && i <= 19 ? "many" : "other";
  },
  pa: function(e) {
    return e == 0 || e == 1 ? "one" : "other";
  },
  pl: function(e) {
    var t = String(e).split("."), n = t[0], i = !t[1], o = n.slice(-1), a = n.slice(-2);
    return e == 1 && i ? "one" : i && o >= 2 && o <= 4 && (a < 12 || a > 14) ? "few" : i && n != 1 && (o == 0 || o == 1) || i && o >= 5 && o <= 9 || i && a >= 12 && a <= 14 ? "many" : "other";
  },
  pt: function(e) {
    var t = String(e).split("."), n = t[0], i = !t[1], o = n.slice(-6);
    return n == 0 || n == 1 ? "one" : n != 0 && o == 0 && i ? "many" : "other";
  },
  ro: function(e) {
    var t = String(e).split("."), n = !t[1], i = Number(t[0]) == e, o = i && t[0].slice(-2);
    return e == 1 && n ? "one" : !n || e == 0 || e != 1 && o >= 1 && o <= 19 ? "few" : "other";
  },
  ru: function(e) {
    var t = String(e).split("."), n = t[0], i = !t[1], o = n.slice(-1), a = n.slice(-2);
    return i && o == 1 && a != 11 ? "one" : i && o >= 2 && o <= 4 && (a < 12 || a > 14) ? "few" : i && o == 0 || i && o >= 5 && o <= 9 || i && a >= 11 && a <= 14 ? "many" : "other";
  },
  se: function(e) {
    return e == 1 ? "one" : e == 2 ? "two" : "other";
  },
  si: function(e) {
    var t = String(e).split("."), n = t[0], i = t[1] || "";
    return e == 0 || e == 1 || n == 0 && i == 1 ? "one" : "other";
  },
  sl: function(e) {
    var t = String(e).split("."), n = t[0], i = !t[1], o = n.slice(-2);
    return i && o == 1 ? "one" : i && o == 2 ? "two" : i && (o == 3 || o == 4) || !i ? "few" : "other";
  }
};
s.as = s.am;
s.az = s.af;
s.bg = s.af;
s.bn = s.am;
s.brx = s.af;
s.ce = s.af;
s.chr = s.af;
s.de = s.ast;
s.ee = s.af;
s.el = s.af;
s.en = s.ast;
s.et = s.ast;
s.eu = s.af;
s.fa = s.am;
s.fi = s.ast;
s.fil = s.ceb;
s.fo = s.af;
s.fur = s.af;
s.fy = s.ast;
s.gl = s.ast;
s.gu = s.am;
s.ha = s.af;
s.hi = s.am;
s.hr = s.bs;
s.hsb = s.dsb;
s.hu = s.af;
s.hy = s.ff;
s.ia = s.ast;
s.id = s.dz;
s.ig = s.dz;
s.it = s.ca;
s.ja = s.dz;
s.jgo = s.af;
s.jv = s.dz;
s.ka = s.af;
s.kea = s.dz;
s.kk = s.af;
s.kl = s.af;
s.km = s.dz;
s.kn = s.am;
s.ko = s.dz;
s.ks = s.af;
s.ku = s.af;
s.ky = s.af;
s.lb = s.af;
s.lkt = s.dz;
s.lo = s.dz;
s.ml = s.af;
s.mn = s.af;
s.mr = s.af;
s.ms = s.dz;
s.my = s.dz;
s.nb = s.af;
s.ne = s.af;
s.nl = s.ast;
s.nn = s.af;
s.no = s.af;
s.or = s.af;
s.pcm = s.am;
s.ps = s.af;
s.rm = s.af;
s.sah = s.dz;
s.sc = s.ast;
s.sd = s.af;
s.sk = s.cs;
s.so = s.af;
s.sq = s.af;
s.sr = s.bs;
s.su = s.dz;
s.sv = s.ast;
s.sw = s.ast;
s.ta = s.af;
s.te = s.af;
s.th = s.dz;
s.ti = s.pa;
s.tk = s.af;
s.to = s.dz;
s.tr = s.af;
s.ug = s.af;
s.uk = s.ru;
s.ur = s.ast;
s.uz = s.af;
s.vi = s.dz;
s.wae = s.af;
s.wo = s.dz;
s.xh = s.af;
s.yi = s.ast;
s.yo = s.dz;
s.yue = s.dz;
s.zh = s.dz;
s.zu = s.am;
const Xe = s;
function et(r) {
  return r === "pt-PT" ? r : Er(r);
}
var Pr = /^([a-z0-9]+)/i;
function Er(r) {
  var e = r.match(Pr);
  if (!e)
    throw new TypeError("Invalid locale: ".concat(r));
  return e[1];
}
function Tr(r, e) {
  if (!(r instanceof e))
    throw new TypeError("Cannot call a class as a function");
}
function tt(r, e) {
  for (var t = 0; t < e.length; t++) {
    var n = e[t];
    n.enumerable = n.enumerable || !1, n.configurable = !0, "value" in n && (n.writable = !0), Object.defineProperty(r, n.key, n);
  }
}
function xr(r, e, t) {
  return e && tt(r.prototype, e), t && tt(r, t), Object.defineProperty(r, "prototype", { writable: !1 }), r;
}
var pe = /* @__PURE__ */ function() {
  function r(e, t) {
    Tr(this, r);
    var n = r.supportedLocalesOf(e);
    if (n.length === 0)
      throw new RangeError("Unsupported locale: " + e);
    if (t && t.type !== "cardinal")
      throw new RangeError('Only "cardinal" "type" is supported');
    this.$ = Xe[et(n[0])];
  }
  return xr(r, [{
    key: "select",
    value: function(t) {
      return this.$(t);
    }
  }], [{
    key: "supportedLocalesOf",
    value: function(t) {
      return typeof t == "string" && (t = [t]), t.filter(function(n) {
        return Xe[et(n)];
      });
    }
  }]), r;
}();
function me(r) {
  return me = typeof Symbol == "function" && typeof Symbol.iterator == "symbol" ? function(e) {
    return typeof e;
  } : function(e) {
    return e && typeof Symbol == "function" && e.constructor === Symbol && e !== Symbol.prototype ? "symbol" : typeof e;
  }, me(r);
}
function rt(r, e) {
  var t = Object.keys(r);
  if (Object.getOwnPropertySymbols) {
    var n = Object.getOwnPropertySymbols(r);
    e && (n = n.filter(function(i) {
      return Object.getOwnPropertyDescriptor(r, i).enumerable;
    })), t.push.apply(t, n);
  }
  return t;
}
function nt(r) {
  for (var e = 1; e < arguments.length; e++) {
    var t = arguments[e] != null ? arguments[e] : {};
    e % 2 ? rt(Object(t), !0).forEach(function(n) {
      kr(r, n, t[n]);
    }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(r, Object.getOwnPropertyDescriptors(t)) : rt(Object(t)).forEach(function(n) {
      Object.defineProperty(r, n, Object.getOwnPropertyDescriptor(t, n));
    });
  }
  return r;
}
function kr(r, e, t) {
  return e in r ? Object.defineProperty(r, e, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : r[e] = t, r;
}
function it(r, e) {
  return Rr(r) || Cr(r, e) || jr(r, e) || Nr();
}
function Nr() {
  throw new TypeError(`Invalid attempt to destructure non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`);
}
function jr(r, e) {
  if (!!r) {
    if (typeof r == "string")
      return ot(r, e);
    var t = Object.prototype.toString.call(r).slice(8, -1);
    if (t === "Object" && r.constructor && (t = r.constructor.name), t === "Map" || t === "Set")
      return Array.from(r);
    if (t === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(t))
      return ot(r, e);
  }
}
function ot(r, e) {
  (e == null || e > r.length) && (e = r.length);
  for (var t = 0, n = new Array(e); t < e; t++)
    n[t] = r[t];
  return n;
}
function Cr(r, e) {
  var t = r == null ? null : typeof Symbol < "u" && r[Symbol.iterator] || r["@@iterator"];
  if (t != null) {
    var n = [], i = !0, o = !1, a, u;
    try {
      for (t = t.call(r); !(i = (a = t.next()).done) && (n.push(a.value), !(e && n.length === e)); i = !0)
        ;
    } catch (l) {
      o = !0, u = l;
    } finally {
      try {
        !i && t.return != null && t.return();
      } finally {
        if (o)
          throw u;
      }
    }
    return n;
  }
}
function Rr(r) {
  if (Array.isArray(r))
    return r;
}
function Dr(r, e) {
  if (!(r instanceof e))
    throw new TypeError("Cannot call a class as a function");
}
function at(r, e) {
  for (var t = 0; t < e.length; t++) {
    var n = e[t];
    n.enumerable = n.enumerable || !1, n.configurable = !0, "value" in n && (n.writable = !0), Object.defineProperty(r, n.key, n);
  }
}
function Ur(r, e, t) {
  return e && at(r.prototype, e), t && at(r, t), Object.defineProperty(r, "prototype", { writable: !1 }), r;
}
var Mr = ["second", "minute", "hour", "day", "week", "month", "quarter", "year"], Lr = ["auto", "always"], Ir = ["long", "short", "narrow"], Fr = ["lookup", "best fit"], _ = /* @__PURE__ */ function() {
  function r() {
    var e = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : [], t = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {};
    Dr(this, r);
    var n = t.numeric, i = t.style, o = t.localeMatcher;
    if (this.numeric = "always", this.style = "long", this.localeMatcher = "lookup", n !== void 0) {
      if (Lr.indexOf(n) < 0)
        throw new RangeError('Invalid "numeric" option: '.concat(n));
      this.numeric = n;
    }
    if (i !== void 0) {
      if (Ir.indexOf(i) < 0)
        throw new RangeError('Invalid "style" option: '.concat(i));
      this.style = i;
    }
    if (o !== void 0) {
      if (Fr.indexOf(o) < 0)
        throw new RangeError('Invalid "localeMatcher" option: '.concat(o));
      this.localeMatcher = o;
    }
    if (typeof e == "string" && (e = [e]), e.push(Bt()), this.locale = r.supportedLocalesOf(e, {
      localeMatcher: this.localeMatcher
    })[0], !this.locale)
      throw new Error("No supported locale was found");
    pe.supportedLocalesOf(this.locale).length > 0 ? this.pluralRules = new pe(this.locale) : console.warn('"'.concat(this.locale, '" locale is not supported')), typeof Intl < "u" && Intl.NumberFormat ? (this.numberFormat = new Intl.NumberFormat(this.locale), this.numberingSystem = this.numberFormat.resolvedOptions().numberingSystem) : this.numberingSystem = "latn", this.locale = qt(this.locale, {
      localeMatcher: this.localeMatcher
    });
  }
  return Ur(r, [{
    key: "format",
    value: function() {
      var t = st(arguments), n = it(t, 2), i = n[0], o = n[1];
      return this.getRule(i, o).replace("{0}", this.formatNumber(Math.abs(i)));
    }
  }, {
    key: "formatToParts",
    value: function() {
      var t = st(arguments), n = it(t, 2), i = n[0], o = n[1], a = this.getRule(i, o), u = a.indexOf("{0}");
      if (u < 0)
        return [{
          type: "literal",
          value: a
        }];
      var l = [];
      return u > 0 && l.push({
        type: "literal",
        value: a.slice(0, u)
      }), l = l.concat(this.formatNumberToParts(Math.abs(i)).map(function(c) {
        return nt(nt({}, c), {}, {
          unit: o
        });
      })), u + 3 < a.length - 1 && l.push({
        type: "literal",
        value: a.slice(u + 3)
      }), l;
    }
  }, {
    key: "getRule",
    value: function(t, n) {
      var i = _r(this.locale)[this.style][n];
      if (typeof i == "string")
        return i;
      if (this.numeric === "auto") {
        if (t === -2 || t === -1) {
          var o = i["previous".concat(t === -1 ? "" : "-" + Math.abs(t))];
          if (o)
            return o;
        } else if (t === 1 || t === 2) {
          var a = i["next".concat(t === 1 ? "" : "-" + Math.abs(t))];
          if (a)
            return a;
        } else if (t === 0 && i.current)
          return i.current;
      }
      var u = i[Vr(t) ? "past" : "future"];
      if (typeof u == "string")
        return u;
      var l = this.pluralRules && this.pluralRules.select(Math.abs(t)) || "other";
      return u[l] || u.other;
    }
  }, {
    key: "formatNumber",
    value: function(t) {
      return this.numberFormat ? this.numberFormat.format(t) : String(t);
    }
  }, {
    key: "formatNumberToParts",
    value: function(t) {
      return this.numberFormat && this.numberFormat.formatToParts ? this.numberFormat.formatToParts(t) : [{
        type: "integer",
        value: this.formatNumber(t)
      }];
    }
  }, {
    key: "resolvedOptions",
    value: function() {
      return {
        locale: this.locale,
        style: this.style,
        numeric: this.numeric,
        numberingSystem: this.numberingSystem
      };
    }
  }]), r;
}();
_.supportedLocalesOf = function(r) {
  var e = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {};
  if (typeof r == "string")
    r = [r];
  else if (!Array.isArray(r))
    throw new TypeError('Invalid "locales" argument');
  return r.filter(function(t) {
    return qt(t, e);
  });
};
_.addLocale = Sr;
_.setDefaultLocale = Or;
_.getDefaultLocale = Bt;
_.PluralRules = pe;
var fe = 'Invalid "unit" argument';
function zr(r) {
  if (me(r) === "symbol")
    throw new TypeError(fe);
  if (typeof r != "string")
    throw new RangeError("".concat(fe, ": ").concat(r));
  if (r[r.length - 1] === "s" && (r = r.slice(0, r.length - 1)), Mr.indexOf(r) < 0)
    throw new RangeError("".concat(fe, ": ").concat(r));
  return r;
}
var Hr = 'Invalid "number" argument';
function Br(r) {
  if (r = Number(r), Number.isFinite && !Number.isFinite(r))
    throw new RangeError("".concat(Hr, ": ").concat(r));
  return r;
}
function qr(r) {
  return 1 / r === -1 / 0;
}
function Vr(r) {
  return r < 0 || r === 0 && qr(r);
}
function st(r) {
  if (r.length < 2)
    throw new TypeError('"unit" argument is required');
  return [Br(r[0]), zr(r[1])];
}
function ee(r) {
  return ee = typeof Symbol == "function" && typeof Symbol.iterator == "symbol" ? function(e) {
    return typeof e;
  } : function(e) {
    return e && typeof Symbol == "function" && e.constructor === Symbol && e !== Symbol.prototype ? "symbol" : typeof e;
  }, ee(r);
}
function Kr(r, e) {
  if (!(r instanceof e))
    throw new TypeError("Cannot call a class as a function");
}
function ut(r, e) {
  for (var t = 0; t < e.length; t++) {
    var n = e[t];
    n.enumerable = n.enumerable || !1, n.configurable = !0, "value" in n && (n.writable = !0), Object.defineProperty(r, n.key, n);
  }
}
function Yr(r, e, t) {
  return e && ut(r.prototype, e), t && ut(r, t), Object.defineProperty(r, "prototype", { writable: !1 }), r;
}
var lt = /* @__PURE__ */ function() {
  function r() {
    Kr(this, r), this.cache = {};
  }
  return Yr(r, [{
    key: "get",
    value: function() {
      for (var t = this.cache, n = arguments.length, i = new Array(n), o = 0; o < n; o++)
        i[o] = arguments[o];
      for (var a = 0, u = i; a < u.length; a++) {
        var l = u[a];
        if (ee(t) !== "object")
          return;
        t = t[l];
      }
      return t;
    }
  }, {
    key: "put",
    value: function() {
      for (var t = arguments.length, n = new Array(t), i = 0; i < t; i++)
        n[i] = arguments[i];
      for (var o = n.pop(), a = n.pop(), u = this.cache, l = 0, c = n; l < c.length; l++) {
        var p = c[l];
        ee(u[p]) !== "object" && (u[p] = {}), u = u[p];
      }
      return u[a] = o;
    }
  }]), r;
}();
function ye(r) {
  return ye = typeof Symbol == "function" && typeof Symbol.iterator == "symbol" ? function(e) {
    return typeof e;
  } : function(e) {
    return e && typeof Symbol == "function" && e.constructor === Symbol && e !== Symbol.prototype ? "symbol" : typeof e;
  }, ye(r);
}
function Wr(r, e) {
  var t = typeof Symbol < "u" && r[Symbol.iterator] || r["@@iterator"];
  if (t)
    return (t = t.call(r)).next.bind(t);
  if (Array.isArray(r) || (t = Jr(r)) || e && r && typeof r.length == "number") {
    t && (r = t);
    var n = 0;
    return function() {
      return n >= r.length ? { done: !0 } : { done: !1, value: r[n++] };
    };
  }
  throw new TypeError(`Invalid attempt to iterate non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`);
}
function Jr(r, e) {
  if (!!r) {
    if (typeof r == "string")
      return ct(r, e);
    var t = Object.prototype.toString.call(r).slice(8, -1);
    if (t === "Object" && r.constructor && (t = r.constructor.name), t === "Map" || t === "Set")
      return Array.from(r);
    if (t === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(t))
      return ct(r, e);
  }
}
function ct(r, e) {
  (e == null || e > r.length) && (e = r.length);
  for (var t = 0, n = new Array(e); t < e; t++)
    n[t] = r[t];
  return n;
}
function Zr(r, e) {
  for (var t = Wr(r), n; !(n = t()).done; ) {
    var i = n.value;
    if (e(i))
      return i;
    for (var o = i.split("-"); o.length > 1; )
      if (o.pop(), i = o.join("-"), e(i))
        return i;
  }
  throw new Error("No locale data has been registered for any of the locales: ".concat(r.join(", ")));
}
function Gr() {
  var r = (typeof Intl > "u" ? "undefined" : ye(Intl)) === "object";
  return r && typeof Intl.DateTimeFormat == "function";
}
function ve(r) {
  return ve = typeof Symbol == "function" && typeof Symbol.iterator == "symbol" ? function(e) {
    return typeof e;
  } : function(e) {
    return e && typeof Symbol == "function" && e.constructor === Symbol && e !== Symbol.prototype ? "symbol" : typeof e;
  }, ve(r);
}
function Qr(r) {
  return en(r) && (Array.isArray(r.steps) || Array.isArray(r.gradation) || Array.isArray(r.flavour) || typeof r.flavour == "string" || Array.isArray(r.labels) || typeof r.labels == "string" || Array.isArray(r.units) || typeof r.custom == "function");
}
var Xr = {}.constructor;
function en(r) {
  return ve(r) !== void 0 && r !== null && r.constructor === Xr;
}
var A = 60, te = 60 * A, E = 24 * te, ge = 7 * E, be = 30.44 * E, Vt = 146097 / 400 * E;
function U(r) {
  switch (r) {
    case "second":
      return 1;
    case "minute":
      return A;
    case "hour":
      return te;
    case "day":
      return E;
    case "week":
      return ge;
    case "month":
      return be;
    case "year":
      return Vt;
  }
}
function Kt(r) {
  return r.factor !== void 0 ? r.factor : U(r.unit || r.formatAs) || 1;
}
function Y(r) {
  switch (r) {
    case "floor":
      return Math.floor;
    default:
      return Math.round;
  }
}
function je(r) {
  switch (r) {
    case "floor":
      return 1;
    default:
      return 0.5;
  }
}
function we(r) {
  return we = typeof Symbol == "function" && typeof Symbol.iterator == "symbol" ? function(e) {
    return typeof e;
  } : function(e) {
    return e && typeof Symbol == "function" && e.constructor === Symbol && e !== Symbol.prototype ? "symbol" : typeof e;
  }, we(r);
}
function Yt(r, e) {
  var t = e.prevStep, n = e.timestamp, i = e.now, o = e.future, a = e.round, u;
  return t && (t.id || t.unit) && (u = r["threshold_for_".concat(t.id || t.unit)]), u === void 0 && r.threshold !== void 0 && (u = r.threshold, typeof u == "function" && (u = u(i, o))), u === void 0 && (u = r.minTime), we(u) === "object" && (t && t.id && u[t.id] !== void 0 ? u = u[t.id] : u = u.default), typeof u == "function" && (u = u(n, {
    future: o,
    getMinTimeForUnit: function(c, p) {
      return ft(c, p || t && t.formatAs, {
        round: a
      });
    }
  })), u === void 0 && r.test && (r.test(n, {
    now: i,
    future: o
  }) ? u = 0 : u = 9007199254740991), u === void 0 && (t ? r.formatAs && t.formatAs && (u = ft(r.formatAs, t.formatAs, {
    round: a
  })) : u = 0), u === void 0 && console.warn("[javascript-time-ago] A step should specify `minTime`:\n" + JSON.stringify(r, null, 2)), u;
}
function ft(r, e, t) {
  var n = t.round, i = U(r), o;
  if (e === "now" ? o = U(r) : o = U(e), i !== void 0 && o !== void 0)
    return i - o * (1 - je(n));
}
function ht(r, e) {
  var t = Object.keys(r);
  if (Object.getOwnPropertySymbols) {
    var n = Object.getOwnPropertySymbols(r);
    e && (n = n.filter(function(i) {
      return Object.getOwnPropertyDescriptor(r, i).enumerable;
    })), t.push.apply(t, n);
  }
  return t;
}
function tn(r) {
  for (var e = 1; e < arguments.length; e++) {
    var t = arguments[e] != null ? arguments[e] : {};
    e % 2 ? ht(Object(t), !0).forEach(function(n) {
      rn(r, n, t[n]);
    }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(r, Object.getOwnPropertyDescriptors(t)) : ht(Object(t)).forEach(function(n) {
      Object.defineProperty(r, n, Object.getOwnPropertyDescriptor(t, n));
    });
  }
  return r;
}
function rn(r, e, t) {
  return e in r ? Object.defineProperty(r, e, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : r[e] = t, r;
}
function nn(r, e, t) {
  var n = t.now, i = t.future, o = t.round, a = t.units, u = t.getNextStep;
  r = an(r, a);
  var l = on(r, e, {
    now: n,
    future: i,
    round: o
  });
  if (u) {
    if (l) {
      var c = r[r.indexOf(l) - 1], p = r[r.indexOf(l) + 1];
      return [c, l, p];
    }
    return [void 0, void 0, r[0]];
  }
  return l;
}
function on(r, e, t) {
  var n = t.now, i = t.future, o = t.round;
  if (r.length !== 0) {
    var a = Wt(r, e, {
      now: n,
      future: i || e < 0,
      round: o
    });
    if (a !== -1) {
      var u = r[a];
      if (u.granularity) {
        var l = Y(o)(Math.abs(e) / Kt(u) / u.granularity) * u.granularity;
        if (l === 0 && a > 0)
          return r[a - 1];
      }
      return u;
    }
  }
}
function Wt(r, e, t) {
  var n = arguments.length > 3 && arguments[3] !== void 0 ? arguments[3] : 0, i = Yt(r[n], tn({
    prevStep: r[n - 1],
    timestamp: t.now - e * 1e3
  }, t));
  return i === void 0 || Math.abs(e) < i ? n - 1 : n === r.length - 1 ? n : Wt(r, e, t, n + 1);
}
function an(r, e) {
  return r.filter(function(t) {
    var n = t.unit, i = t.formatAs;
    return n = n || i, n ? e.indexOf(n) >= 0 : !0;
  });
}
function sn(r, e, t) {
  var n = t.now, i = t.round;
  if (!!U(r)) {
    var o = U(r) * 1e3, a = e > n, u = Math.abs(e - n), l = Y(i)(u / o) * o;
    return a ? l > 0 ? u - l + ln(i, o) : u - l + 1 : -(u - l) + un(i, o);
  }
}
function un(r, e) {
  return je(r) * e;
}
function ln(r, e) {
  return (1 - je(r)) * e + 1;
}
var cn = 365 * 24 * 60 * 60 * 1e3, Jt = 1e3 * cn;
function fn(r, e, t) {
  var n = t.prevStep, i = t.nextStep, o = t.now, a = t.future, u = t.round, l = r.getTime ? r.getTime() : r, c = function(m) {
    return sn(m, l, {
      now: o,
      round: u
    });
  }, p = dn(a ? e : i, l, {
    future: a,
    now: o,
    round: u,
    prevStep: a ? n : e
  });
  if (p !== void 0) {
    var h;
    if (e && (e.getTimeToNextUpdate && (h = e.getTimeToNextUpdate(l, {
      getTimeToNextUpdateForUnit: c,
      getRoundFunction: Y,
      now: o,
      future: a,
      round: u
    })), h === void 0)) {
      var f = e.unit || e.formatAs;
      f && (h = c(f));
    }
    return h === void 0 ? p : Math.min(h, p);
  }
}
function hn(r, e, t) {
  var n = t.now, i = t.future, o = t.round, a = t.prevStep, u = Yt(r, {
    timestamp: e,
    now: n,
    future: i,
    round: o,
    prevStep: a
  });
  if (u !== void 0)
    return i ? e - u * 1e3 + 1 : u === 0 && e === n ? Jt : e + u * 1e3;
}
function dn(r, e, t) {
  var n = t.now, i = t.future, o = t.round, a = t.prevStep;
  if (r) {
    var u = hn(r, e, {
      now: n,
      future: i,
      round: o,
      prevStep: a
    });
    return u === void 0 ? void 0 : u - n;
  } else
    return i ? e - n + 1 : Jt;
}
var Zt = {};
function R(r) {
  return Zt[r];
}
function Gt(r) {
  if (!r)
    throw new Error("[javascript-time-ago] No locale data passed.");
  Zt[r.locale] = r;
}
const pn = [{
  formatAs: "now"
}, {
  formatAs: "second"
}, {
  formatAs: "minute"
}, {
  formatAs: "hour"
}, {
  formatAs: "day"
}, {
  formatAs: "week"
}, {
  formatAs: "month"
}, {
  formatAs: "year"
}], $e = {
  steps: pn,
  labels: "long"
};
function dt(r, e) {
  var t = Object.keys(r);
  if (Object.getOwnPropertySymbols) {
    var n = Object.getOwnPropertySymbols(r);
    e && (n = n.filter(function(i) {
      return Object.getOwnPropertyDescriptor(r, i).enumerable;
    })), t.push.apply(t, n);
  }
  return t;
}
function pt(r) {
  for (var e = 1; e < arguments.length; e++) {
    var t = arguments[e] != null ? arguments[e] : {};
    e % 2 ? dt(Object(t), !0).forEach(function(n) {
      mn(r, n, t[n]);
    }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(r, Object.getOwnPropertyDescriptors(t)) : dt(Object(t)).forEach(function(n) {
      Object.defineProperty(r, n, Object.getOwnPropertyDescriptor(t, n));
    });
  }
  return r;
}
function mn(r, e, t) {
  return e in r ? Object.defineProperty(r, e, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : r[e] = t, r;
}
const Ae = pt(pt({}, $e), {}, {
  steps: $e.steps.filter(function(r) {
    return r.formatAs !== "second";
  })
}), Qt = [{
  factor: 1,
  unit: "now"
}, {
  threshold: 1,
  threshold_for_now: 45.5,
  factor: 1,
  unit: "second"
}, {
  threshold: 45.5,
  factor: A,
  unit: "minute"
}, {
  threshold: 2.5 * A,
  granularity: 5,
  factor: A,
  unit: "minute"
}, {
  threshold: 22.5 * A,
  factor: 0.5 * te,
  unit: "half-hour"
}, {
  threshold: 42.5 * A,
  threshold_for_minute: 52.5 * A,
  factor: te,
  unit: "hour"
}, {
  threshold: 20.5 / 24 * E,
  factor: E,
  unit: "day"
}, {
  threshold: 5.5 * E,
  factor: ge,
  unit: "week"
}, {
  threshold: 3.5 * ge,
  factor: be,
  unit: "month"
}, {
  threshold: 10.5 * be,
  factor: Vt,
  unit: "year"
}], mt = {
  gradation: Qt,
  flavour: "long",
  units: ["now", "minute", "hour", "day", "week", "month", "year"]
}, yn = {
  gradation: Qt,
  flavour: "long-time",
  units: ["now", "minute", "hour", "day", "week", "month", "year"]
};
function Xt(r) {
  return r instanceof Date ? r : new Date(r);
}
var Oe = [{
  formatAs: "second"
}, {
  formatAs: "minute"
}, {
  formatAs: "hour"
}], w = {}, vn = {
  minTime: function(e, t) {
    t.future;
    var n = t.getMinTimeForUnit;
    return n("day");
  },
  format: function(e, t) {
    return w[t] || (w[t] = {}), w[t].dayMonth || (w[t].dayMonth = new Intl.DateTimeFormat(t, {
      month: "short",
      day: "numeric"
    })), w[t].dayMonth.format(Xt(e));
  }
}, gn = {
  minTime: function(e, t) {
    var n = t.future;
    if (n) {
      var i = new Date(new Date(e).getFullYear(), 0).getTime() - 1;
      return (e - i) / 1e3;
    } else {
      var o = new Date(new Date(e).getFullYear() + 1, 0).getTime();
      return (o - e) / 1e3;
    }
  },
  format: function(e, t) {
    return w[t] || (w[t] = {}), w[t].dayMonthYear || (w[t].dayMonthYear = new Intl.DateTimeFormat(t, {
      year: "numeric",
      month: "short",
      day: "numeric"
    })), w[t].dayMonthYear.format(Xt(e));
  }
};
Gr() ? Oe.push(vn, gn) : Oe.push({
  formatAs: "day"
}, {
  formatAs: "week"
}, {
  formatAs: "month"
}, {
  formatAs: "year"
});
const k = {
  steps: Oe,
  labels: [
    "mini",
    "short-time",
    "narrow",
    "short"
  ]
};
function yt(r, e) {
  var t = Object.keys(r);
  if (Object.getOwnPropertySymbols) {
    var n = Object.getOwnPropertySymbols(r);
    e && (n = n.filter(function(i) {
      return Object.getOwnPropertyDescriptor(r, i).enumerable;
    })), t.push.apply(t, n);
  }
  return t;
}
function vt(r) {
  for (var e = 1; e < arguments.length; e++) {
    var t = arguments[e] != null ? arguments[e] : {};
    e % 2 ? yt(Object(t), !0).forEach(function(n) {
      bn(r, n, t[n]);
    }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(r, Object.getOwnPropertyDescriptors(t)) : yt(Object(t)).forEach(function(n) {
      Object.defineProperty(r, n, Object.getOwnPropertyDescriptor(t, n));
    });
  }
  return r;
}
function bn(r, e, t) {
  return e in r ? Object.defineProperty(r, e, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : r[e] = t, r;
}
const wn = vt(vt({}, k), {}, {
  steps: [{
    formatAs: "now"
  }].concat(k.steps)
});
function gt(r, e) {
  var t = Object.keys(r);
  if (Object.getOwnPropertySymbols) {
    var n = Object.getOwnPropertySymbols(r);
    e && (n = n.filter(function(i) {
      return Object.getOwnPropertyDescriptor(r, i).enumerable;
    })), t.push.apply(t, n);
  }
  return t;
}
function bt(r) {
  for (var e = 1; e < arguments.length; e++) {
    var t = arguments[e] != null ? arguments[e] : {};
    e % 2 ? gt(Object(t), !0).forEach(function(n) {
      $n(r, n, t[n]);
    }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(r, Object.getOwnPropertyDescriptors(t)) : gt(Object(t)).forEach(function(n) {
      Object.defineProperty(r, n, Object.getOwnPropertyDescriptor(t, n));
    });
  }
  return r;
}
function $n(r, e, t) {
  return e in r ? Object.defineProperty(r, e, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : r[e] = t, r;
}
const _e = bt(bt({}, k), {}, {
  steps: k.steps.filter(function(r) {
    return r.formatAs !== "second";
  })
});
function wt(r, e) {
  var t = Object.keys(r);
  if (Object.getOwnPropertySymbols) {
    var n = Object.getOwnPropertySymbols(r);
    e && (n = n.filter(function(i) {
      return Object.getOwnPropertyDescriptor(r, i).enumerable;
    })), t.push.apply(t, n);
  }
  return t;
}
function $t(r) {
  for (var e = 1; e < arguments.length; e++) {
    var t = arguments[e] != null ? arguments[e] : {};
    e % 2 ? wt(Object(t), !0).forEach(function(n) {
      An(r, n, t[n]);
    }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(r, Object.getOwnPropertyDescriptors(t)) : wt(Object(t)).forEach(function(n) {
      Object.defineProperty(r, n, Object.getOwnPropertyDescriptor(t, n));
    });
  }
  return r;
}
function An(r, e, t) {
  return e in r ? Object.defineProperty(r, e, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : r[e] = t, r;
}
const On = $t($t({}, _e), {}, {
  steps: [{
    formatAs: "now"
  }].concat(_e.steps)
});
function At(r, e) {
  var t = Object.keys(r);
  if (Object.getOwnPropertySymbols) {
    var n = Object.getOwnPropertySymbols(r);
    e && (n = n.filter(function(i) {
      return Object.getOwnPropertyDescriptor(r, i).enumerable;
    })), t.push.apply(t, n);
  }
  return t;
}
function Z(r) {
  for (var e = 1; e < arguments.length; e++) {
    var t = arguments[e] != null ? arguments[e] : {};
    e % 2 ? At(Object(t), !0).forEach(function(n) {
      _n(r, n, t[n]);
    }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(r, Object.getOwnPropertyDescriptors(t)) : At(Object(t)).forEach(function(n) {
      Object.defineProperty(r, n, Object.getOwnPropertyDescriptor(t, n));
    });
  }
  return r;
}
function _n(r, e, t) {
  return e in r ? Object.defineProperty(r, e, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : r[e] = t, r;
}
const Sn = Z(Z({}, k), {}, {
  steps: k.steps.filter(function(r) {
    return r.formatAs !== "second";
  }).map(function(r) {
    return r.formatAs === "minute" ? Z(Z({}, r), {}, {
      minTime: A
    }) : r;
  })
}), W = {
  steps: [{
    formatAs: "second"
  }, {
    formatAs: "minute"
  }, {
    formatAs: "hour"
  }, {
    formatAs: "day"
  }, {
    formatAs: "month"
  }, {
    formatAs: "year"
  }],
  labels: [
    "mini",
    "short-time",
    "narrow",
    "short"
  ]
};
function Ot(r, e) {
  var t = Object.keys(r);
  if (Object.getOwnPropertySymbols) {
    var n = Object.getOwnPropertySymbols(r);
    e && (n = n.filter(function(i) {
      return Object.getOwnPropertyDescriptor(r, i).enumerable;
    })), t.push.apply(t, n);
  }
  return t;
}
function _t(r) {
  for (var e = 1; e < arguments.length; e++) {
    var t = arguments[e] != null ? arguments[e] : {};
    e % 2 ? Ot(Object(t), !0).forEach(function(n) {
      Pn(r, n, t[n]);
    }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(r, Object.getOwnPropertyDescriptors(t)) : Ot(Object(t)).forEach(function(n) {
      Object.defineProperty(r, n, Object.getOwnPropertyDescriptor(t, n));
    });
  }
  return r;
}
function Pn(r, e, t) {
  return e in r ? Object.defineProperty(r, e, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : r[e] = t, r;
}
const En = _t(_t({}, W), {}, {
  steps: [{
    formatAs: "now"
  }].concat(W.steps)
});
function St(r, e) {
  var t = Object.keys(r);
  if (Object.getOwnPropertySymbols) {
    var n = Object.getOwnPropertySymbols(r);
    e && (n = n.filter(function(i) {
      return Object.getOwnPropertyDescriptor(r, i).enumerable;
    })), t.push.apply(t, n);
  }
  return t;
}
function Pt(r) {
  for (var e = 1; e < arguments.length; e++) {
    var t = arguments[e] != null ? arguments[e] : {};
    e % 2 ? St(Object(t), !0).forEach(function(n) {
      Tn(r, n, t[n]);
    }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(r, Object.getOwnPropertyDescriptors(t)) : St(Object(t)).forEach(function(n) {
      Object.defineProperty(r, n, Object.getOwnPropertyDescriptor(t, n));
    });
  }
  return r;
}
function Tn(r, e, t) {
  return e in r ? Object.defineProperty(r, e, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : r[e] = t, r;
}
const Se = Pt(Pt({}, W), {}, {
  steps: W.steps.filter(function(r) {
    return r.formatAs !== "second";
  })
});
function Et(r, e) {
  var t = Object.keys(r);
  if (Object.getOwnPropertySymbols) {
    var n = Object.getOwnPropertySymbols(r);
    e && (n = n.filter(function(i) {
      return Object.getOwnPropertyDescriptor(r, i).enumerable;
    })), t.push.apply(t, n);
  }
  return t;
}
function Tt(r) {
  for (var e = 1; e < arguments.length; e++) {
    var t = arguments[e] != null ? arguments[e] : {};
    e % 2 ? Et(Object(t), !0).forEach(function(n) {
      xn(r, n, t[n]);
    }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(r, Object.getOwnPropertyDescriptors(t)) : Et(Object(t)).forEach(function(n) {
      Object.defineProperty(r, n, Object.getOwnPropertyDescriptor(t, n));
    });
  }
  return r;
}
function xn(r, e, t) {
  return e in r ? Object.defineProperty(r, e, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : r[e] = t, r;
}
const kn = Tt(Tt({}, Se), {}, {
  steps: [{
    formatAs: "now"
  }].concat(Se.steps)
});
function Nn(r) {
  switch (r) {
    case "default":
    case "round":
      return $e;
    case "round-minute":
      return Ae;
    case "approximate":
      return mt;
    case "time":
    case "approximate-time":
      return yn;
    case "mini":
      return W;
    case "mini-now":
      return En;
    case "mini-minute":
      return Se;
    case "mini-minute-now":
      return kn;
    case "twitter":
      return k;
    case "twitter-now":
      return wn;
    case "twitter-minute":
      return _e;
    case "twitter-minute-now":
      return On;
    case "twitter-first-minute":
      return Sn;
    default:
      return mt;
  }
}
function re(r) {
  return re = typeof Symbol == "function" && typeof Symbol.iterator == "symbol" ? function(e) {
    return typeof e;
  } : function(e) {
    return e && typeof Symbol == "function" && e.constructor === Symbol && e !== Symbol.prototype ? "symbol" : typeof e;
  }, re(r);
}
function jn(r, e) {
  var t = typeof Symbol < "u" && r[Symbol.iterator] || r["@@iterator"];
  if (t)
    return (t = t.call(r)).next.bind(t);
  if (Array.isArray(r) || (t = er(r)) || e && r && typeof r.length == "number") {
    t && (r = t);
    var n = 0;
    return function() {
      return n >= r.length ? { done: !0 } : { done: !1, value: r[n++] };
    };
  }
  throw new TypeError(`Invalid attempt to iterate non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`);
}
function Cn(r, e) {
  return Un(r) || Dn(r, e) || er(r, e) || Rn();
}
function Rn() {
  throw new TypeError(`Invalid attempt to destructure non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`);
}
function er(r, e) {
  if (!!r) {
    if (typeof r == "string")
      return xt(r, e);
    var t = Object.prototype.toString.call(r).slice(8, -1);
    if (t === "Object" && r.constructor && (t = r.constructor.name), t === "Map" || t === "Set")
      return Array.from(r);
    if (t === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(t))
      return xt(r, e);
  }
}
function xt(r, e) {
  (e == null || e > r.length) && (e = r.length);
  for (var t = 0, n = new Array(e); t < e; t++)
    n[t] = r[t];
  return n;
}
function Dn(r, e) {
  var t = r == null ? null : typeof Symbol < "u" && r[Symbol.iterator] || r["@@iterator"];
  if (t != null) {
    var n = [], i = !0, o = !1, a, u;
    try {
      for (t = t.call(r); !(i = (a = t.next()).done) && (n.push(a.value), !(e && n.length === e)); i = !0)
        ;
    } catch (l) {
      o = !0, u = l;
    } finally {
      try {
        !i && t.return != null && t.return();
      } finally {
        if (o)
          throw u;
      }
    }
    return n;
  }
}
function Un(r) {
  if (Array.isArray(r))
    return r;
}
function Mn(r, e) {
  if (!(r instanceof e))
    throw new TypeError("Cannot call a class as a function");
}
function kt(r, e) {
  for (var t = 0; t < e.length; t++) {
    var n = e[t];
    n.enumerable = n.enumerable || !1, n.configurable = !0, "value" in n && (n.writable = !0), Object.defineProperty(r, n.key, n);
  }
}
function Ln(r, e, t) {
  return e && kt(r.prototype, e), t && kt(r, t), Object.defineProperty(r, "prototype", { writable: !1 }), r;
}
var b = /* @__PURE__ */ function() {
  function r() {
    var e = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : [], t = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {}, n = t.polyfill;
    Mn(this, r), typeof e == "string" && (e = [e]), this.locale = Zr(e.concat(r.getDefaultLocale()), R), typeof Intl < "u" && Intl.NumberFormat && (this.numberFormat = new Intl.NumberFormat(this.locale)), n === !1 ? (this.IntlRelativeTimeFormat = Intl.RelativeTimeFormat, this.IntlPluralRules = Intl.PluralRules) : (this.IntlRelativeTimeFormat = _, this.IntlPluralRules = _.PluralRules), this.relativeTimeFormatCache = new lt(), this.pluralRulesCache = new lt();
  }
  return Ln(r, [{
    key: "format",
    value: function(t, n, i) {
      i || (n && !Bn(n) ? (i = n, n = void 0) : i = {}), n || (n = Ae), typeof n == "string" && (n = Nn(n));
      var o = In(t), a = this.getLabels(n.flavour || n.labels), u = a.labels, l = a.labelsType, c;
      n.now !== void 0 && (c = n.now), c === void 0 && i.now !== void 0 && (c = i.now), c === void 0 && (c = Date.now());
      var p = (c - o) / 1e3, h = i.future || p < 0, f = Hn(u, R(this.locale).now, R(this.locale).long, h);
      if (n.custom) {
        var d = n.custom({
          now: c,
          date: new Date(o),
          time: o,
          elapsed: p,
          locale: this.locale
        });
        if (d !== void 0)
          return d;
      }
      var m = zn(
        n.units,
        u,
        f
      ), y = i.round || n.round, g = nn(
        n.gradation || n.steps || Ae.steps,
        p,
        {
          now: c,
          units: m,
          round: y,
          future: h,
          getNextStep: !0
        }
      ), $ = Cn(g, 3), N = $[0], Ce = $[1], rr = $[2], Re = this.formatDateForStep(o, Ce, p, {
        labels: u,
        labelsType: l,
        nowLabel: f,
        now: c,
        future: h,
        round: y
      }) || "";
      if (i.getTimeToNextUpdate) {
        var nr = fn(o, Ce, {
          nextStep: rr,
          prevStep: N,
          now: c,
          future: h,
          round: y
        });
        return [Re, nr];
      }
      return Re;
    }
  }, {
    key: "formatDateForStep",
    value: function(t, n, i, o) {
      var a = this, u = o.labels, l = o.labelsType, c = o.nowLabel, p = o.now, h = o.future, f = o.round;
      if (!!n) {
        if (n.format)
          return n.format(t, this.locale, {
            formatAs: function($, N) {
              return a.formatValue(N, $, {
                labels: u,
                future: h
              });
            },
            now: p,
            future: h
          });
        var d = n.unit || n.formatAs;
        if (!d)
          throw new Error("[javascript-time-ago] Each step must define either `formatAs` or `format()`. Step: ".concat(JSON.stringify(n)));
        if (d === "now")
          return c;
        var m = Math.abs(i) / Kt(n);
        n.granularity && (m = Y(f)(m / n.granularity) * n.granularity);
        var y = -1 * Math.sign(i) * Y(f)(m);
        switch (y === 0 && (h ? y = 0 : y = -0), l) {
          case "long":
          case "short":
          case "narrow":
            return this.getFormatter(l).format(y, d);
          default:
            return this.formatValue(y, d, {
              labels: u,
              future: h
            });
        }
      }
    }
  }, {
    key: "formatValue",
    value: function(t, n, i) {
      var o = i.labels, a = i.future;
      return this.getFormattingRule(o, n, t, {
        future: a
      }).replace("{0}", this.formatNumber(Math.abs(t)));
    }
  }, {
    key: "getFormattingRule",
    value: function(t, n, i, o) {
      var a = o.future;
      if (this.locale, t = t[n], typeof t == "string")
        return t;
      var u = i === 0 ? a ? "future" : "past" : i < 0 ? "past" : "future", l = t[u] || t;
      if (typeof l == "string")
        return l;
      var c = this.getPluralRules().select(Math.abs(i));
      return l[c] || l.other;
    }
  }, {
    key: "formatNumber",
    value: function(t) {
      return this.numberFormat ? this.numberFormat.format(t) : String(t);
    }
  }, {
    key: "getFormatter",
    value: function(t) {
      return this.relativeTimeFormatCache.get(this.locale, t) || this.relativeTimeFormatCache.put(this.locale, t, new this.IntlRelativeTimeFormat(this.locale, {
        style: t
      }));
    }
  }, {
    key: "getPluralRules",
    value: function() {
      return this.pluralRulesCache.get(this.locale) || this.pluralRulesCache.put(this.locale, new this.IntlPluralRules(this.locale));
    }
  }, {
    key: "getLabels",
    value: function() {
      var t = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : [];
      typeof t == "string" && (t = [t]), t = t.map(function(u) {
        switch (u) {
          case "tiny":
          case "mini-time":
            return "mini";
          default:
            return u;
        }
      }), t = t.concat("long");
      for (var n = R(this.locale), i = jn(t), o; !(o = i()).done; ) {
        var a = o.value;
        if (n[a])
          return {
            labelsType: a,
            labels: n[a]
          };
      }
    }
  }]), r;
}(), tr = "en";
b.getDefaultLocale = function() {
  return tr;
};
b.setDefaultLocale = function(r) {
  return tr = r;
};
b.addDefaultLocale = function(r) {
  if (Nt)
    return console.error("[javascript-time-ago] `TimeAgo.addDefaultLocale()` can only be called once. To add other locales, use `TimeAgo.addLocale()`.");
  Nt = !0, b.setDefaultLocale(r.locale), b.addLocale(r);
};
var Nt;
b.addLocale = function(r) {
  Gt(r), _.addLocale(r);
};
b.locale = b.addLocale;
b.addLabels = function(r, e, t) {
  var n = R(r);
  n || (Gt({
    locale: r
  }), n = R(r)), n[e] = t;
};
function In(r) {
  if (r.constructor === Date || Fn(r))
    return r.getTime();
  if (typeof r == "number")
    return r;
  throw new Error("Unsupported relative time formatter input: ".concat(re(r), ", ").concat(r));
}
function Fn(r) {
  return re(r) === "object" && typeof r.getTime == "function";
}
function zn(r, e, t) {
  var n = Object.keys(e);
  return t && n.push("now"), r && (n = r.filter(function(i) {
    return i === "now" || n.indexOf(i) >= 0;
  })), n;
}
function Hn(r, e, t, n) {
  var i = r.now || e && e.now;
  if (i)
    return typeof i == "string" ? i : n ? i.future : i.past;
  if (t && t.second && t.second.current)
    return t.second.current;
}
function Bn(r) {
  return typeof r == "string" || Qr(r);
}
const qn = {
  locale: "en",
  long: {
    year: {
      previous: "last year",
      current: "this year",
      next: "next year",
      past: {
        one: "{0} year ago",
        other: "{0} years ago"
      },
      future: {
        one: "in {0} year",
        other: "in {0} years"
      }
    },
    quarter: {
      previous: "last quarter",
      current: "this quarter",
      next: "next quarter",
      past: {
        one: "{0} quarter ago",
        other: "{0} quarters ago"
      },
      future: {
        one: "in {0} quarter",
        other: "in {0} quarters"
      }
    },
    month: {
      previous: "last month",
      current: "this month",
      next: "next month",
      past: {
        one: "{0} month ago",
        other: "{0} months ago"
      },
      future: {
        one: "in {0} month",
        other: "in {0} months"
      }
    },
    week: {
      previous: "last week",
      current: "this week",
      next: "next week",
      past: {
        one: "{0} week ago",
        other: "{0} weeks ago"
      },
      future: {
        one: "in {0} week",
        other: "in {0} weeks"
      }
    },
    day: {
      previous: "yesterday",
      current: "today",
      next: "tomorrow",
      past: {
        one: "{0} day ago",
        other: "{0} days ago"
      },
      future: {
        one: "in {0} day",
        other: "in {0} days"
      }
    },
    hour: {
      current: "this hour",
      past: {
        one: "{0} hour ago",
        other: "{0} hours ago"
      },
      future: {
        one: "in {0} hour",
        other: "in {0} hours"
      }
    },
    minute: {
      current: "this minute",
      past: {
        one: "{0} minute ago",
        other: "{0} minutes ago"
      },
      future: {
        one: "in {0} minute",
        other: "in {0} minutes"
      }
    },
    second: {
      current: "now",
      past: {
        one: "{0} second ago",
        other: "{0} seconds ago"
      },
      future: {
        one: "in {0} second",
        other: "in {0} seconds"
      }
    }
  },
  short: {
    year: {
      previous: "last yr.",
      current: "this yr.",
      next: "next yr.",
      past: "{0} yr. ago",
      future: "in {0} yr."
    },
    quarter: {
      previous: "last qtr.",
      current: "this qtr.",
      next: "next qtr.",
      past: {
        one: "{0} qtr. ago",
        other: "{0} qtrs. ago"
      },
      future: {
        one: "in {0} qtr.",
        other: "in {0} qtrs."
      }
    },
    month: {
      previous: "last mo.",
      current: "this mo.",
      next: "next mo.",
      past: "{0} mo. ago",
      future: "in {0} mo."
    },
    week: {
      previous: "last wk.",
      current: "this wk.",
      next: "next wk.",
      past: "{0} wk. ago",
      future: "in {0} wk."
    },
    day: {
      previous: "yesterday",
      current: "today",
      next: "tomorrow",
      past: {
        one: "{0} day ago",
        other: "{0} days ago"
      },
      future: {
        one: "in {0} day",
        other: "in {0} days"
      }
    },
    hour: {
      current: "this hour",
      past: "{0} hr. ago",
      future: "in {0} hr."
    },
    minute: {
      current: "this minute",
      past: "{0} min. ago",
      future: "in {0} min."
    },
    second: {
      current: "now",
      past: "{0} sec. ago",
      future: "in {0} sec."
    }
  },
  narrow: {
    year: {
      previous: "last yr.",
      current: "this yr.",
      next: "next yr.",
      past: "{0}y ago",
      future: "in {0}y"
    },
    quarter: {
      previous: "last qtr.",
      current: "this qtr.",
      next: "next qtr.",
      past: "{0}q ago",
      future: "in {0}q"
    },
    month: {
      previous: "last mo.",
      current: "this mo.",
      next: "next mo.",
      past: "{0}mo ago",
      future: "in {0}mo"
    },
    week: {
      previous: "last wk.",
      current: "this wk.",
      next: "next wk.",
      past: "{0}w ago",
      future: "in {0}w"
    },
    day: {
      previous: "yesterday",
      current: "today",
      next: "tomorrow",
      past: "{0}d ago",
      future: "in {0}d"
    },
    hour: {
      current: "this hour",
      past: "{0}h ago",
      future: "in {0}h"
    },
    minute: {
      current: "this minute",
      past: "{0}m ago",
      future: "in {0}m"
    },
    second: {
      current: "now",
      past: "{0}s ago",
      future: "in {0}s"
    }
  },
  now: {
    now: {
      current: "now",
      future: "in a moment",
      past: "just now"
    }
  },
  mini: {
    year: "{0}yr",
    month: "{0}mo",
    week: "{0}wk",
    day: "{0}d",
    hour: "{0}h",
    minute: "{0}m",
    second: "{0}s",
    now: "now"
  },
  "short-time": {
    year: "{0} yr.",
    month: "{0} mo.",
    week: "{0} wk.",
    day: {
      one: "{0} day",
      other: "{0} days"
    },
    hour: "{0} hr.",
    minute: "{0} min.",
    second: "{0} sec."
  },
  "long-time": {
    year: {
      one: "{0} year",
      other: "{0} years"
    },
    month: {
      one: "{0} month",
      other: "{0} months"
    },
    week: {
      one: "{0} week",
      other: "{0} weeks"
    },
    day: {
      one: "{0} day",
      other: "{0} days"
    },
    hour: {
      one: "{0} hour",
      other: "{0} hours"
    },
    minute: {
      one: "{0} minute",
      other: "{0} minutes"
    },
    second: {
      one: "{0} second",
      other: "{0} seconds"
    }
  }
};
var Vn = Object.defineProperty, Kn = Object.getOwnPropertyDescriptor, ne = (r, e, t, n) => {
  for (var i = n > 1 ? void 0 : n ? Kn(e, t) : e, o = r.length - 1, a; o >= 0; o--)
    (a = r[o]) && (i = (n ? a(e, t, i) : a(i)) || i);
  return n && i && Vn(e, t, i), i;
};
b.addDefaultLocale(qn);
let I = class extends B {
  constructor() {
    super(...arguments), this.hideActionBar = !1, this.maxNestedDepth = 3, this._repliesTask = new Ye(
      this,
      ([r]) => fetch(r).then(
        (e) => e.json()
      ),
      () => [this.parseSrc(this.src) + "/context"]
    ), this._actionTask = new Ye(
      this,
      ([r]) => fetch(r).then(
        (e) => e.json()
      ),
      () => [this.parseSrc(this.src)]
    ), this.timeAgo = new b("en-US"), this.replies = [];
  }
  connectedCallback() {
    super.connectedCallback();
  }
  parseSrc(r) {
    const e = r.split("/").at(-1);
    return this.commentId = e, `https://${new URL(r).hostname}/api/v1/statuses/${e}`;
  }
  getFullUsername(r) {
    const e = new URL(r.url);
    return `@${r.username}@${e.hostname}`;
  }
  getTimeAgo(r) {
    return this.timeAgo.format(new Date(r), "twitter");
  }
  render() {
    return this.src ? j`
      ${this.hideActionBar ? v : this._actionTask.render({
      complete: (r) => this.renderActionBar(r.replies_count, r.reblogs_count, r.favourites_count)
    })}
      <div part="comment-list" id="comment-list">
        ${this.renderCommentList()}
      </div>
    ` : j`<div>Error: no "src" provided.</div>`;
  }
  renderComment(r, e = 0) {
    return j`<article class="comment" part="comment">
      <div class="header">
        <a class="avatar" href=${r.account.url}>
          <img src=${r.account.avatar}>
          <div class="avatar-overlay"></div>
        </a>
        <a href=${r.account.url} class="details">
          <div class="name truncate">${r.account.display_name}</div>
          <div part="author-link" class="author-link truncate muted">${this.getFullUsername(r.account)}</div>
        </a>
      </div>
      <div 
        part="content" 
        class="content"
        .innerHTML=${r.content}
      ></div>
      <div part="footer" class="footer">
        ${this.renderActionBar(r.replies_count, r.reblogs_count, r.favourites_count)}
        <span class="seperator"></span>
        <a href=${r.url} class="time muted">${this.getTimeAgo(r.created_at)}</a>
      </div>
    </article>
    <!-- TODO fix -->
    <div class=${e < this.maxNestedDepth, "nested-replies"}>
      ${Ze(this.replies.filter((t) => (t == null ? void 0 : t.in_reply_to_id) === (r == null ? void 0 : r.id)), (t) => t.id, (t) => this.renderComment(t, e + 1))}
    </div>
    `;
  }
  renderActionBar(r, e, t) {
    return j`<div class="action-bar" part="action-bar">
      <span>
        <ion-icon name="chatbubble"></ion-icon>
        ${r}
      </span>
      <span>
        <ion-icon name="repeat"></ion-icon>
        ${e}
      </span>
      <span>
        <ion-icon name="heart"></ion-icon>
        ${t}
      </span>
    </div>`;
  }
  renderCommentList() {
    return this._repliesTask.render({
      pending: () => j`Loading comments...`,
      complete: (r) => (this.replies = r.descendants, Ze(
        r.descendants.filter((e) => e.in_reply_to_id === this.commentId),
        (e) => e.id,
        this.renderComment.bind(this)
      )),
      error: () => j`Error. Unable to load comments from ${this.src}`
    });
  }
};
I.styles = or`
    :host {
      --color-muted: rgba(0, 0, 0, 45%);
      --font-family: 'Arial', sans-serif;

      max-width: 400px;
      font-family: var(--font-family);
    }

    *, ::before, ::after {
      margin: 0;
      padding: 0;
      box-sizing: border-box;
    }

    article {
      display: flex;
      flex-direction: column;
      width: 100%;
      padding: 14px 10px;
    }

    .content {
      display: block;
      margin-block-start: 1em;
      margin-block-end: 1em;  
      line-height: 1.5;
      word-break: break-word;
    }

    .footer {
      margin-block-end: 1em;  
      display: flex;
      flex-direction: row;
      gap: .66rem;
      align-items: center;
    }

    .content > p {
      margin-top: 0;
      margin-bottom: 0;
    }

    .name {
      font-weight: bold;
      width: 100%;
      color: #1A1A1B;
      font-size: .9rem;
    }

    .name:hover {
      text-decoration: underline;
      text-decoration-thickness: 2px;
    }

    .seperator {
      display: inline-block;
      width: .125rem;
      height: .125rem;
      background: var(--color-muted);
    }

    .header {
      width: 100%;
      display: flex;
    }

    .details {
      display: inline-flex;
      flex-direction: column;
      width: 100%;
      overflow: auto;
      text-decoration: none;
    }

    .muted {
      color: var(--color-muted);
      text-decoration: none;
    }

    .details .author-link {
      margin-top: .25em;
    }

    .truncate {
      text-overflow: ellipsis;
      white-space: nowrap;
      overflow: hidden;
    }

    .action-bar {
      display: flex;
      flex-direction: row;
      gap: .66rem;
      align-items: center;
    }

    .action-bar > * {
      display: flex;
      justify-content: center;
      align-items: center;
      gap: 0.33em;
      color: var(--color-muted);
    }

    .avatar {
      width: 48px;
      height: 48px;
      margin-right: 10px;
      position:relative;
    }

    .avatar > img {
      width: 48px;
      height: 48px;
      border-radius: 5px;
    }

    .avatar::before {
      content: "";
      width: 100%;
      height: 100%;
      border-radius: 5px;
      position: absolute;
      background-color: rgba(0,0,255,0);

      transition-property: background-color;
      transition-duration: 0.2s;
    }

    .avatar:hover::before {
      background: rgba(0,0,0,0.05);
    }

    #comment-list {
      width: 100%;
      margin-top: 2em;
    }

    .time {
      color: var(--color-muted);
    }

    .nested-replies {
      margin-left: .5em;
      padding-left: .5em;
      border-left: 2px solid #edeff1;
    }
  `;
ne([
  ke()
], I.prototype, "src", 2);
ne([
  ke({
    type: Boolean,
    reflect: !0,
    attribute: "hide-action-bar"
  })
], I.prototype, "hideActionBar", 2);
ne([
  ke({
    type: Number,
    attribute: "max-nested-depth"
  })
], I.prototype, "maxNestedDepth", 2);
I = ne([
  dr("ap-comments")
], I);
export {
  I as Comments
};
