import { LitElement } from "lit";
export declare class SocialCard extends LitElement {
    static styles: import("lit").CSSResult;
    account: string;
    showDelay: number;
    hideDelay: number;
    private _accountTask;
    private mouseEnterTimer;
    private mouseLeaveTimer;
    show(target?: HTMLAnchorElement): void;
    hide(): void;
    render(): unknown;
}
export declare const initOverlay: (hostEl?: Element) => void;
declare global {
    interface HTMLElementTagNameMap {
        "social-card-base": SocialCard;
    }
}
